bs_spinner:
  label: Spinner
  namespace: Molecules/Bootstrap
  use: '@molecules/tm-bs/spinner/spinner.twig'
  description: Spinner or Loader
  fields:

    loading:
      type: text
      label: Loading
      description: Loading text
      preview: Loading...

  settings:

    status:
      label: Status
      description: Bootstrap status
      type: select
      options:
        primary: Primary
        secondary: Secondary
        success: Success
        danger: Danger
        warning: Warning
        info: Info
        light: Light
        dark: Dark
      default_value: primary
      preview: primary

    spinner_type:
      label: Type
      description: Type of spinner
      type: select
      options:
        border: Spinner
        grow: Throbber
      default_value: border
      preview: border

    show_text:
      label: Show loading text
      description: Or will be sr-only
      type: boolean
      default_value: false
      preview: false

    size:
      label: Size
      description: Size of spinner
      type: select
      options:
        sm: Small
        nm: Normal
      default_value: nm
      preview: nm

    hide:
      label: Hide
      description: Hide
      type: boolean
      default_value: false
      preview: false

    ajax:
      label: Ajax
      description: Ajax
      type: boolean
      default_value: false
      preview: false
